#!/bin/sh

if [ "$serverType" == "0" ]; then
    cat > /app/config.json <<EOF
{
    "serverType": $serverType,
    "aquaSrvDir": "$aquaSrvDir",
    "ArtConnSettings": {
        "host": "$host",
        "user": "$user",
        "password": "$pass"
    },
    "imageFolder": "$imageFolder",
    "hostPort": "$hostPort"
}
EOF
elif [ "$serverType" == "1" ]; then
    cat > /app/config.json <<EOF
{
    "serverType": $serverType,
    "ArtImageImport": $ArtImageImport,
    "ArtImageDirectory": "$ArtImageDirectory",
    "ArtConnSettings": {
        "connectionLimit": "$connectionLimit",
        "host": "$host",
        "user": "$user",
        "pass": "$pass"
    },
    "imageFolder": "$imageFolder",
    "hostPort": "$hostPort"
}
EOF
else
    echo "Unsupported serverType"
fi

node index.js